org.omg.IOP

## Class Encoding

- java.lang.Object
- - org.omg.IOP.Encoding

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class Encoding
    extends Object
    implements IDLEntity

org/omg/IOP/Encoding.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/IOP.idl Wednesday, April 16, 2014 4:06:25 AM UTC

### Field Summary

Fields
`short` `format` The encoding format.
`byte` `major_version` The major version of this Encoding format.
`byte` `minor_version` The minor version of this Encoding format.

### Constructor Summary

Constructors
Constructor and Description
`Encoding()`
`Encoding(short _format, byte _major_version, byte _minor_version)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### format

    public short format

The encoding format.

#### major_version

    public byte major_version

The major version of this Encoding format.

#### minor_version

    public byte minor_version

The minor version of this Encoding format.

### Constructor Detail

#### Encoding

    public Encoding()

#### Encoding

    public Encoding(short _format,
            byte _major_version,
            byte _minor_version)

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.